Subject: Re: [iola-wgcharter-tool] A question about the states in RFC 6292

From: Martin Qvist <[email-masked]>
Date: Thu, 01 Sep 2011 10:57:39 +0200

You can diff any version against any other version of charters under the 
history tab under /wgrecord/.

But would you rather the whole information that's now in /wgrecord/ be 
moved under /wg/wgacronym/charter (and make "sub-tabs")? That would 
collect everything under /wg/ but we would probably have to create an 
Active Charter tab and a Proposed Charter tab so the two aren't confused.

Alternatively, we could copy the "Diffs" section from 
/wgrecord/wgacronym/history so that it also appears under 
/wg/wgacronym/charter. That way you could perform the diffs in either place.

Best,
Martin

On 31/08/2011 16:03, Russ Housley wrote:
> I see that I misunderstood ion my first reading.  This approach works for me, as long as the state on the /wg/wgacronym version is Approved and accessible until it is replaced by the approved recharter.
>
> I alway envisioned the charters and proposed charters being in the same directory to make it easy to perform diff between the various versions.  The most common diffs are:
>
>     - compare most recent proposed recharter to the previous proposal
>
>     - compare most recent proposed recharter to the currently approved charter
>
> Russ
>
>
> On Aug 31, 2011, at 4:20 AM, Martin Qvist wrote:
>
>> Hi
>>
>> The behaviour you describe is already handled (with Henriks proposed states) in the implementation. The active charter is showed under /wg/wgacronym (it shows the charter with the highest revision XX), and the newly proposed charter texts are shown under /wgrecord/wgacronym (the charters with revision XX-00, XX-01, etc.). When the proposed new charter is approved it gets revision XX+1 and is then shown in both /wg/wgacronym and /wgrecord/wgacronym.
>>
>> I hope this is clear enough.
>>
>> Best,
>> Martin
>>
>> On 31/08/2011 00:25, Russ Housley wrote:
>>> Henrik:
>>>
>>> I see a  problem with your proposal as I understand it.
>>>
>>> When there is a charter in place, a recharter is a discussion about replacing that charter.  The potential recharter can take many revisions, and while this is happening, the original charter remain the 'active' one.  When the recharter is approved, it become the 'active' one.  So, during the recharter there are two documents in play.
>>>
>>> Russ
>>>
>>>
>>> On Aug 30, 2011, at 11:50 AM, Henrik Levkowetz wrote:
>>>
>>>> Hi,
>>>>
>>>> While implementing the WG Charter tool, we discovered a potential problem
>>>> with the state description in RFC 6292,
>>>>   http://tools.ietf.org/html/rfc6292
>>>>
>>>> The RFC describes one set of review states for a WG during initial
>>>> chartering, and another set of review states during re-chartering:
>>>>
>>>> Initial:
>>>>    o  Informal IESG review
>>>>    o  Internal review
>>>>    o  External review
>>>>    o  IESG review
>>>>    o  WG exists
>>>>    o  Not currently under review
>>>>
>>>> Rechartering:
>>>>    o  WG exists; Informal IESG recharter review
>>>>    o  WG exists; Internal recharter review
>>>>    o  WG exists; External recharter review
>>>>
>>>> Now, the objects which exists in the database which are relevant for
>>>> the chartering process are two:  A *WG Object* (which before the RFC 6292
>>>> extensions can be in one of two states: 'Active' and 'Concluded'), and a
>>>> *Document Object*, the Charter, which potentially can get any set of
>>>> appropriate states we care to assign it.
>>>>
>>>> There is no 'WG Review' object to hold a 'review state', and there seems
>>>> to be a mixture in what the review states listed above applies to - WG,
>>>> charter, or a review process.
>>>>
>>>> Our suggestion, and the way we have implemented this in the code currently,
>>>> is to split the states up as described below.  From these states, all of
>>>> the 'review states' above can be synthesized if desired, although we would
>>>> propose that it's more straightforward to display the WG state and the
>>>> Charter document state directly:
>>>>
>>>>   * The WG object keeps its current states, and gets a new one:
>>>> 	o Proposed
>>>> 	o Active
>>>> 	o Concluded
>>>>
>>>>   * The Charter Document Object gets the following states:
>>>> 	o Informal IESG Review
>>>> 	o  Informal IESG review
>>>> 	o  Internal review
>>>> 	o  External review
>>>> 	o  IESG review
>>>> 	o  Not currently under review
>>>> 	o Approved
>>>>
>>>>
>>>> Thoughts?
>>>>
>>>>
>>>> Best regards,
>>>>
>>>> 	Henrik
>>>>
>>>>
>>>> _______________________________________________
>>>> iola-wgcharter-tool mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/iola-wgcharter-tool
>>>
>>> _______________________________________________
>>> iola-wgcharter-tool mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/iola-wgcharter-tool
>>
>